<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: Data Fields - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>active
: <a class="el" href="structGPUUniform.html#a9fd5ffcdae1a8d25bb4210db8c945cd4">GPUUniform</a>
</li>
<li>activeProgram
: <a class="el" href="structGPU.html#a175f0e62bab2c45d9ae535c5731fc263">GPU</a>
</li>
<li>activeVertexPuller
: <a class="el" href="structGPU.html#a14a6f83ca1cc1dd10c28e15ad823cb53">GPU</a>
</li>
<li>attributes
: <a class="el" href="structGPUInFragment.html#a13e49e13c4a42f0dfd30001421b22dc5">GPUInFragment</a>
, <a class="el" href="structGPUInVertex.html#a12771bb6471e6c221e91b1804d07ef21">GPUInVertex</a>
, <a class="el" href="structGPUOutVertex.html#afbb940260f6463aa256830711c209744">GPUOutVertex</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>bufferId
: <a class="el" href="structGPUIndices.html#a0f61fc90e8a9152f7df0b063cce268cf">GPUIndices</a>
, <a class="el" href="structGPUVertexPullerHead.html#aad295180748f7a755a407d46dc5fa491">GPUVertexPullerHead</a>
</li>
<li>buffers
: <a class="el" href="structGPU.html#a5331efee19e47626495c99b1869d6b31">GPU</a>
, <a class="el" href="structGPUBuffers.html#ad055aeac8b3fb7ebb91df29046849f13">GPUBuffers</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>callback
: <a class="el" href="structCallbackAndData.html#ad476378cedbec0eb6d0f94230f748985">CallbackAndData</a>
</li>
<li>callbackData
: <a class="el" href="structWindow.html#a149e9e3b4ca65e5feb3a492b3a3eaca1">Window</a>
</li>
<li>cameraAngleX
: <a class="el" href="structAppData.html#a940aa8b96b641cd01005116f135064ef">AppData</a>
</li>
<li>cameraAngleY
: <a class="el" href="structAppData.html#a81c378f9608263b527ac780e960bc163">AppData</a>
</li>
<li>cameraDistance
: <a class="el" href="structAppData.html#a03a75b6250d4fd9f164684f8b522e9cd">AppData</a>
</li>
<li>clearColor
: <a class="el" href="structGPU.html#af7acb677fa94d1584c8b87af141ee584">GPU</a>
</li>
<li>clearDepth
: <a class="el" href="structGPU.html#a7136e6c78dbae48e165ca1d431810fba">GPU</a>
</li>
<li>color
: <a class="el" href="structGPUFramebuffer.html#abcb6c852e61831c6f4ac4f2f082bf151">GPUFramebuffer</a>
</li>
<li>column
: <a class="el" href="structMat4.html#a89c6922a5ca3584062e9841090709592">Mat4</a>
</li>
<li>commandQueue
: <a class="el" href="structGPU.html#a87774e200e97ede957982fa4aa22ada6">GPU</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>data
: <a class="el" href="structCallbackAndData.html#a78a20f2b84b041bc23a8933a8078cb92">CallbackAndData</a>
, <a class="el" href="structGPUAttribute.html#a1c13d3d1a40e3007528fa0a01d5b64f6">GPUAttribute</a>
, <a class="el" href="structGPUBuffer.html#a7f96bfd9957ec727266b89f077d9be55">GPUBuffer</a>
, <a class="el" href="structGPUUniform.html#ac31d5501644276b7fb0850f3d219fbcb">GPUUniform</a>
, <a class="el" href="structVec2.html#a9261a5afe6b8369034a4a2157ab6b242">Vec2</a>
, <a class="el" href="structVec3.html#ab4091bcbf544cb1ae91ba8855ddaaa0b">Vec3</a>
, <a class="el" href="structVec4.html#aee1e79a1c063cba1c01227258a5e1d9f">Vec4</a>
, <a class="el" href="structVector.html#abc10ac30895378eed4f5b07edfdaaf62">Vector</a>
</li>
<li>debug
: <a class="el" href="structGPU.html#ac5236c9dbb53bcb61119b40bea64f090">GPU</a>
</li>
<li>depth
: <a class="el" href="structGPUFramebuffer.html#a500507b2a8767553fbf9fefd959f229d">GPUFramebuffer</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>ebo
: <a class="el" href="structPhongData.html#a0b6482c1de95c6850fe9c7b6834760c8">PhongData</a>
</li>
<li>elements
: <a class="el" href="structQueue.html#a9a89d34ab1701342661b8685edafcb66">Queue</a>
</li>
<li>elementSize
: <a class="el" href="structQueue.html#a539bc88fdd8c83df642eddde4700fec1">Queue</a>
, <a class="el" href="structStack.html#a30d2d941e3fe2500e7831a498e4b9645">Stack</a>
, <a class="el" href="structVector.html#a13a97a989dd4e8e160d553182fd30f32">Vector</a>
</li>
<li>enabled
: <a class="el" href="structGPUVertexPullerHead.html#af0e62aaa41d6d4e134fef1a02624a592">GPUVertexPullerHead</a>
</li>
<li>ends
: <a class="el" href="structQueue.html#a2390d4106e5ee17bfd55f183b1f52ce5">Queue</a>
</li>
<li>eventCallback
: <a class="el" href="structWindow.html#a054598f068dfafd211d76b092b3de669">Window</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>fragmentShader
: <a class="el" href="structGPUProgram.html#acb129bfc2dea5836bd1ed8e899cda649">GPUProgram</a>
</li>
<li>framebuffer
: <a class="el" href="structGPU.html#ab05ff3e0a1b03486ebb89b834631a187">GPU</a>
</li>
<li>freeIds
: <a class="el" href="structGPUBuffers.html#a6fbf426a0e1e2755cc093568fdc8f82b">GPUBuffers</a>
, <a class="el" href="structGPUPrograms.html#a11bebb4cc2122d7e38a083103a9cdefa">GPUPrograms</a>
, <a class="el" href="structGPUVertexPullers.html#a8f017330a2c576127f365c223872322a">GPUVertexPullers</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>gl_FragColor
: <a class="el" href="structGPUOutFragment.html#a24a04d2f58ab7538fc15567808f90ddd">GPUOutFragment</a>
</li>
<li>gl_FragCoord
: <a class="el" href="structGPUInFragment.html#a71421b9a8f6411a76d31c463e8904b96">GPUInFragment</a>
</li>
<li>gl_Position
: <a class="el" href="structGPUOutVertex.html#a9bfe0011c08f039dbe6cbaafdc43d444">GPUOutVertex</a>
</li>
<li>gl_VertexID
: <a class="el" href="structGPUInVertex.html#a0c62cf4df4535a7ff6ca95cc18c422e5">GPUInVertex</a>
</li>
<li>gpu
: <a class="el" href="structAppData.html#a805cbbcd50daf9b4e202aed90f532f97">AppData</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>heads
: <a class="el" href="structGPUVertexPuller.html#ac7e5148aa34148e88bbe2f8763d496ab">GPUVertexPuller</a>
</li>
<li>height
: <a class="el" href="structGPUFramebuffer.html#aa29fad24a06f87d8406b5b2ccc9413ad">GPUFramebuffer</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>idleCallback
: <a class="el" href="structWindow.html#aca8fcf0113fd079f5bc4050c1f72a93b">Window</a>
</li>
<li>idleCallbackData
: <a class="el" href="structWindow.html#a91eae2aff16e63ff29644aa0d287abb1">Window</a>
</li>
<li>indices
: <a class="el" href="structGPUVertexPuller.html#a043bd88d5a8baa834418369b993a01b6">GPUVertexPuller</a>
</li>
<li>inFragment
: <a class="el" href="structGPUFragmentShaderData.html#aa286b4180c0efb8593bbe0ecb8c6e60a">GPUFragmentShaderData</a>
</li>
<li>inVertex
: <a class="el" href="structGPUVertexShaderData.html#a5744e11986f6ac290817370ed6b45726">GPUVertexShaderData</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>methodId
: <a class="el" href="structAppData.html#af79d9bf119a0591176fce8326a51576b">AppData</a>
</li>
<li>methods
: <a class="el" href="structAppData.html#aff38c888b298fdee1c14d5b97b42b64b">AppData</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>name
: <a class="el" href="structMethod.html#aaa3bc473db253cbd522121f15781bd25">Method</a>
</li>
<li>nofPoints
: <a class="el" href="structPointBoxData.html#acca7bde471ab3396be16f21efda7c639">PointBoxData</a>
, <a class="el" href="structPointCircleData.html#a7abecef6dbc69a26cc54066632bee9f0">PointCircleData</a>
, <a class="el" href="structPointSquareData.html#ae6ea4fe73b1bd8c83ff2de1d6183b841">PointSquareData</a>
</li>
<li>normal
: <a class="el" href="structBunnyVertex.html#aa7f67904a835c896f368dd2e37cc46db">BunnyVertex</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>offset
: <a class="el" href="structGPUVertexPullerHead.html#ada8bcc93d4c6ebf324cfb5eb9e16dff0">GPUVertexPullerHead</a>
</li>
<li>oldMethodId
: <a class="el" href="structAppData.html#a0f81be5c1deac08d8dc42b4a00166d11">AppData</a>
</li>
<li>onDraw
: <a class="el" href="structMethod.html#aac602b0d44dd0924ecbc1cd2bd49f22c">Method</a>
</li>
<li>onExit
: <a class="el" href="structMethod.html#a62d3ac9d92696fecf99fa4e02b441d72">Method</a>
</li>
<li>onInit
: <a class="el" href="structMethod.html#aaddba0e56fc557d19a98d6a09983aad6">Method</a>
</li>
<li>outFragment
: <a class="el" href="structGPUFragmentShaderData.html#a28b76dc4f0e9b7ee82e744660106848a">GPUFragmentShaderData</a>
</li>
<li>outVertex
: <a class="el" href="structGPUVertexShaderData.html#afc21ec723cd5a50da3435f5982b08995">GPUVertexShaderData</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>parameters
: <a class="el" href="structGPUCommand.html#a1c5e80394a5f4183597746a3de06357e">GPUCommand</a>
</li>
<li>position
: <a class="el" href="structBunnyVertex.html#a2d228a475dea955ec6c696ee545ac731">BunnyVertex</a>
</li>
<li>prg
: <a class="el" href="structPhongData.html#abe8d787c8d298a58614c7d98dbf43a91">PhongData</a>
, <a class="el" href="structPointBoxData.html#acec81e47d56286a7994aef662694fc42">PointBoxData</a>
, <a class="el" href="structPointCircleData.html#a91256a054d456b6c3f661d1fc90c2038">PointCircleData</a>
, <a class="el" href="structPointData.html#ae5c008d1b00565769b1467128a348c21">PointData</a>
, <a class="el" href="structPointSquareData.html#ad5b410843ab9cbbde5701a75eccbd0e0">PointSquareData</a>
, <a class="el" href="structTriangle3dData.html#abfd2853f289db26e7c2bef0bdc6930f5">Triangle3dData</a>
, <a class="el" href="structTriangleData.html#a9bdda6d3ffdde266d800f8b8461e5c36">TriangleData</a>
</li>
<li>programs
: <a class="el" href="structGPU.html#a78eb40077ccd6d3c43805961cfb69917">GPU</a>
, <a class="el" href="structGPUPrograms.html#acd9c5b21b7e31c1ad4c31310606e9bc0">GPUPrograms</a>
</li>
<li>pullers
: <a class="el" href="structGPU.html#a1463956b595e58bdbc5221d995173fd6">GPU</a>
, <a class="el" href="structGPUVertexPullers.html#aebb98d9d41cb7c160972337cb8805ce8">GPUVertexPullers</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>renderer
: <a class="el" href="structWindow.html#a2b52309ef359b6392454a3bb57398b5d">Window</a>
</li>
<li>reserved
: <a class="el" href="structStack.html#a67852b957af50a592ef664150864b69d">Stack</a>
, <a class="el" href="structVector.html#a94aac82cd99201901a1fd8e32cbdb1b0">Vector</a>
</li>
<li>runConformanceTests
: <a class="el" href="structArguments.html#a6bc787170da38be26e99235d6f8183f9">Arguments</a>
</li>
<li>running
: <a class="el" href="structWindow.html#a7e076f6f94c096513fa91d0588222993">Window</a>
</li>
<li>runPerformanceTests
: <a class="el" href="structArguments.html#a6b9b90f2db5d9b1feb0cf9ca6e6b3a18">Arguments</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>size
: <a class="el" href="structGPUBuffer.html#a19311d7505b124015f231fc37fae04c7">GPUBuffer</a>
, <a class="el" href="structStack.html#a7749b0e721f7bf75886e6474604a627f">Stack</a>
, <a class="el" href="structVector.html#a05d98988b273ccb33a96524d5591eb77">Vector</a>
</li>
<li>stride
: <a class="el" href="structGPUVertexPullerHead.html#a719b2c0cca617b922247356b3dd95477">GPUVertexPullerHead</a>
</li>
<li>surface
: <a class="el" href="structWindow.html#a1a42da4979d383bb3556f62df57952e5">Window</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>takeScreenShot
: <a class="el" href="structArguments.html#aa5763070ed323e09f16efd294aa0315a">Arguments</a>
</li>
<li>type
: <a class="el" href="structGPUCommand.html#acd0826c4736e3a3275e99b359f9d99aa">GPUCommand</a>
, <a class="el" href="structGPUIndices.html#aab36cd5f0fb486ff3b6e91e89006f3b4">GPUIndices</a>
, <a class="el" href="structGPUUniform.html#acff779e71ac51bdf6849cc509cf45a4c">GPUUniform</a>
, <a class="el" href="structGPUVertexPullerHead.html#a9089a3fc5f91332981d4fc5cb9c0226c">GPUVertexPullerHead</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>uniform
: <a class="el" href="structGPUUniforms.html#aa49800f649bb2566b817383b2fcac114">GPUUniforms</a>
</li>
<li>uniforms
: <a class="el" href="structGPUFragmentShaderData.html#ad8271d982c7c798d1f617d9235a8bbf8">GPUFragmentShaderData</a>
, <a class="el" href="structGPUProgram.html#a707edbfaa82eb74936bfbb990c845706">GPUProgram</a>
, <a class="el" href="structGPUVertexShaderData.html#a0edb787d17cbca1ce03740b0a4296e0b">GPUVertexShaderData</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>values
: <a class="el" href="structStack.html#ab477d1daabe17ea9a06bca917d31fa0b">Stack</a>
</li>
<li>vao
: <a class="el" href="structPhongData.html#ab4fea966d31bc380ac251333b886dc78">PhongData</a>
, <a class="el" href="structPointBoxData.html#a9eed6fe44cf77b8c7e98a88d25eb2211">PointBoxData</a>
, <a class="el" href="structPointCircleData.html#a972957b689ca6f63b55ff834ad285268">PointCircleData</a>
, <a class="el" href="structPointData.html#a0ca955cba8c202ab8fe3dd09c9772a32">PointData</a>
, <a class="el" href="structPointSquareData.html#ade598a851eaaac032131ed5d61fdee0c">PointSquareData</a>
, <a class="el" href="structTriangle3dData.html#a9718d80cf1299dcb8071fc3291fd48f3">Triangle3dData</a>
, <a class="el" href="structTriangleData.html#ac92ea521b3747c90aeb6725378fc4a03">TriangleData</a>
</li>
<li>vbo
: <a class="el" href="structPhongData.html#a53b7db465026f1e4416e7265ea875e47">PhongData</a>
, <a class="el" href="structPointBoxData.html#a65fa14357d247945143d10d5a60cde3e">PointBoxData</a>
, <a class="el" href="structPointCircleData.html#afbbf17a8e0c1d84fb9ddc1f4fb7ae704">PointCircleData</a>
, <a class="el" href="structPointSquareData.html#ab25c3cbf6d8d0e549b4134fe8310cf71">PointSquareData</a>
</li>
<li>vertex
: <a class="el" href="structPrimitive.html#a2fcd6d4a9588c7e404fd0f83fecf5a47">Primitive</a>
</li>
<li>vertexShader
: <a class="el" href="structGPUProgram.html#a8edd806f533bb1124101781621648925">GPUProgram</a>
</li>
<li>vs2fsType
: <a class="el" href="structGPUProgram.html#a19d88694b9011a8c567854467c0dc123">GPUProgram</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>width
: <a class="el" href="structGPUFramebuffer.html#a6475f75a6d81ac7136b48878ee715e77">GPUFramebuffer</a>
</li>
<li>window
: <a class="el" href="structAppData.html#a6c13a148335a069ffb6751feea3ad398">AppData</a>
, <a class="el" href="structWindow.html#ae39a7755a5a6ab74bcbdbe3e2e206820">Window</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
